# Planka
#### Elegant open source project tracking.

![David (path)](https://img.shields.io/github/package-json/v/plankanban/planka) ![Docker Pulls](https://img.shields.io/docker/pulls/meltyshev/planka) ![GitHub](https://img.shields.io/github/license/plankanban/planka)

![](https://raw.githubusercontent.com/plankanban/planka/master/demo.gif)

[**Client demo**](https://plankanban.github.io/planka) (without server features).

## Features

- Create projects, boards, lists, cards, labels and tasks
- Add card members, track time, set due dates, add attachments, write comments
- Markdown support in card description and comments
- Filter by members and labels
- Customize project backgrounds
- Real-time updates
- Internal notifications
- Multiple interface languages
- Single sign-on via OpenID Connect

## How to deploy Planka

There are many ways to install Planka, [check them out](https://docs.planka.cloud/docs/intro).

For configuration, please see the [configuration section](https://docs.planka.cloud/docs/category/configuration).

## Contact

- If you want to get a hosted version of Planka, you can contact us via email contact@planka.cloud
- For any security issues, please do not create a public issue on GitHub, instead please write to security@planka.cloud

We do NOT offer any public support via email, please use GitHub.

## Development

See the [development section](https://docs.planka.cloud/docs/Development).

## Tech stack

- React, Redux, Redux-Saga, Redux-ORM, Semantic UI React, react-beautiful-dnd
- Sails.js, Knex.js
- PostgreSQL

## License

Planka is [AGPL-3.0 licensed](https://github.com/plankanban/planka/blob/master/LICENSE).

## Contributors

[![](https://contrib.rocks/image?repo=plankanban/planka)](https://github.com/plankanban/planka/graphs/contributors)
